<?php
	/**
	 * Welcome Page Initiation
	*/

	include get_parent_theme_file_path() . '/inc/welcome/welcome.php';

	/** Plugins **/
	$plugins = array(
		// *** Companion Plugins
		'companion_plugins' => array(),

		// *** Required Plugins
		'required_plugins' => array(
			'ap-theme-utility-plugin' => array(
				'slug' => 'ap-theme-utility-plugin',
				'name' => esc_html__('AP Theme Utility', 'vmagazine-news'),
				'filename' =>'ap-theme-utility-plugin.php',
				'host_type' => 'wordpress', // Use either bundled, remote, wordpress
				'class' => 'APTU_Class',
				'location' => 'https://accesspressthemes.com/plugin-repo/ap-theme-utility-plugin/ap-theme-utility-plugin.zip', //get_template_directory().'/welcome/plugins/ap-theme-utility-plugin.zip',
				'info' => esc_html__('AP Theme Utility Plugin adds the feature to Import the Demo Content with a single click.', 'vmagazine-news'),
			),
			'siteorigin-panels' => array(
				'slug' => 'siteorigin-panels',
				'name' => esc_html__('Siteorigin Pagebuilder', 'vmagazine-news'),
				'filename' =>'siteorigin-panels.php',
				'host_type' => 'wordpress', // Use either bundled, remote, wordpress
				'class' => 'SiteOrigin_Panels',
				'location' => '', //get_template_directory().'/welcome/plugins/ap-theme-utility-plugin.zip',
				'info' => esc_html__('Page Builder by SiteOrigin makes it easy to build responsive grid-based page content that adapts to mobile devices with pixel perfect accuracy.', 'vmagazine-news'),
			)
		),

		// *** Recommended Plugins
		'recommended_plugins' => array(
			// Free Plugins
			'free_plugins' => array(
				'accesspress-twitter-feed' => array(
					'slug' => 'accesspress-twitter-feed',
					'filename' => 'accesspress-twitter-feed.php',
					'class' => 'APTF_Class'
				),

				'siteorigin-panels' => array(
					'slug' => 'siteorigin-panels',
					'filename' => 'siteorigin-panels.php',
					'class' => 'SiteOrigin_Panels'
				),
				'contact-form-7' => array(
					'slug' => 'contact-form-7',
					'filename' => 'wp-contact-form-7.php',
					'class' => 'WPCF7'
				),
				'accesspress-social-share' => array(
					'slug' => 'accesspress-social-share',
					'filename' => 'accesspress-social-share.php',
					'class' => 'APSS_Class'
				)
			),

			// Pro Plugins
			'pro_plugins' => array(
			)
		),
	);

	$strings = array(
		// Welcome Page General Texts
		'welcome_menu_text' => esc_html__( 'VMagazine Setup', 'vmagazine-news' ),
		'theme_short_description' => esc_html__( 'Vmagazine News is a child theme for Vmagazine Lite, suitable for creating any types of newspaper, magazine, and blog websites. It uses SiteOrigin Page Builder plugin for creating flexible pages with different areas for advertisements and widgets. The theme comes with 9 inbuilt widgets with powerful configuration features for making your website more engaging and appealing. Moreover, the template also contains a news ticker to highlight your hot/breaking news and a live AJAX search bar to make searching of your web contents easier and faster for your users.', 'vmagazine-news' ),

		// Plugin Action Texts
		'install_n_activate' => esc_html__('Install and Activate', 'vmagazine-news'),
		'deactivate' => esc_html__('Deactivate', 'vmagazine-news'),
		'activate' => esc_html__('Activate', 'vmagazine-news'),

		// Getting Started Section
		'doc_heading' => esc_html__('Step 1 - Documentation', 'vmagazine-news'),
		'doc_description' => esc_html__('Read the Documentation and follow the instructions to manage the site , it helps you to set up the theme more easily and quickly. The Documentation is very easy with its pictorial  and well managed listed instructions. ', 'vmagazine-news'),
		'doc_read_now' => esc_html__( 'Read Now', 'vmagazine-news' ),
		'cus_heading' => esc_html__('Step 2 - Customizer Options Panel', 'vmagazine-news'),
		'cus_description' => esc_html__('Using the WordPress Customizer you can easily customize every aspect of the theme.', 'vmagazine-news'),
		'cus_read_now' => esc_html__( 'Go to Customizer Panels', 'vmagazine-news' ),

		// Recommended Plugins Section
		'pro_plugin_title' => esc_html__( 'Pro Plugins', 'vmagazine-news' ),
		'pro_plugin_description' => esc_html__( 'Take Advantage of some of our Premium Plugins.', 'vmagazine-news' ),
		'free_plugin_title' => esc_html__( 'Free Plugins', 'vmagazine-news' ),
		'free_plugin_description' => esc_html__( 'These Free Plugins might be handy for you.', 'vmagazine-news' ),

		// Demo Actions
		'activate_btn' => esc_html__('Activate', 'vmagazine-news'),
		'installed_btn' => esc_html__('Activated', 'vmagazine-news'),
		'demo_installing' => esc_html__('Installing Demo', 'vmagazine-news'),
		'demo_installed' => esc_html__('Demo Installed', 'vmagazine-news'),
		'demo_confirm' => esc_html__('Are you sure to import demo content ?', 'vmagazine-news'),

		// Actions Required
		'req_plugins_installed' => esc_html__( 'All Recommended action has been successfully completed.', 'vmagazine-news' ),
		'customize_theme_btn' => esc_html__( 'Customize Theme', 'vmagazine-news' ),
	);

	/**
	 * Initiating Welcome Page
	*/
	$my_theme_wc_page = new constructera_Welcome( $plugins, $strings );


	/**
	 * Initiate Demo Importer if plugin Exists
	*/
	if(class_exists('APTU_Class')) :

		$demos = array(

			'vmagazine-news' => array(
				'title' => esc_html__('News Demo', 'vmagazine-news'),
				'name' => 'news-demo',
				'preview_url' => 'https://demo.accesspressthemes.com/vmagazine-news/',
				'screenshot' => get_stylesheet_directory_uri().'/inc/welcome/demos/news-demo/screen.jpg',
				'home_page' => 'home',
				'menus' => array(
					'primary menu' => 'primary_menu',
					'Footer Menu' => 'footer_menu',
					'Top Header Menu' => 'top_menu',
				)
			),

			'world-demo' => array(
				'title' => esc_html__('World Mag Demo', 'vmagazine-news'),
				'name' => 'world-demo',
				'preview_url' => 'https://demo.accesspressthemes.com/vmagazine-lite/worldmag/',
				'screenshot' => get_template_directory_uri().'/inc/welcome/demos/world-demo/screen.jpg',
				'home_page' => 'home',
				'menus' => array(
					'primary menu' => 'primary_menu',
					'Footer Menu' => 'footer_menu',
					'Top Menus' => 'top_menu',

				)
			),
            
            'tech-demo' => array(
				'title' => esc_html__('Tech Mag Demo', 'vmagazine-news'),
				'name' => 'tech-demo',
				'preview_url' => 'https://demo.accesspressthemes.com/vmagazine-lite/techmag/',
				'screenshot' => get_template_directory_uri().'/inc/welcome/demos/tech-demo/screen.jpg',
				'home_page' => 'home-2',
				'menus' => array(
					'primary menu' => 'primary_menu',
					'Footer Menu' => 'footer_menu',
					'top menu' => 'top_menu',
				)
			),
            
            'fashion-demo' => array(
				'title' => esc_html__('Fashion Demo', 'vmagazine-news'),
				'name' => 'fashion-demo',
				'preview_url' => 'https://demo.accesspressthemes.com/vmagazine-lite/fashion/',
				'screenshot' => get_template_directory_uri().'/inc/welcome/demos/fashion-demo/screen.jpg',
				'home_page' => 'home',
				'menus' => array(
					'Fashion Menu' => 'primary_menu',
					'Footer Menu' => 'footer_menu',
					'top menu' => 'top_menu',
				)
			),
            
            'gaming-demo' => array(
				'title' => esc_html__('Gaming Demo', 'vmagazine-news'),
				'name' => 'gaming-demo',
				'preview_url' => 'https://demo.accesspressthemes.com/vmagazine-lite/gaming/',
				'screenshot' => get_template_directory_uri().'/inc/welcome/demos/gaming-demo/screen.jpg',
				'home_page' => 'home',
				'menus' => array(
					'primary menu' => 'primary_menu',
					'Footer Menu' => 'footer_menu',
					'Top Header Menu' => 'top_menu',
				)
			),

			'newspaper-demo' => array(
				'title' => esc_html__('Newspaper Demo', 'vmagazine-news'),
				'name' => 'newspaper-demo',
				'preview_url' => 'https://demo.accesspressthemes.com/vmagazine-lite/newspaper/',
				'screenshot' => get_template_directory_uri().'/inc/welcome/demos/newspaper-demo/screen.jpg',
				'home_page' => 'home',
				'menus' => array(
					'primary menu' => 'primary_menu',
					'Footer Menu' => 'footer_menu',
					'Top Header Menu' => 'top_menu',
				)
			),
			
		);

		$demoimporter = new APTU_Class( $demos, $demo_dir = get_stylesheet_directory().'/inc/welcome/demos/' );

	endif;